# Getting Started

{% hint style="success" %}
This is the official documentation of the `@forestadmin/agent` Node.js agent.
{% endhint %}

After doing the quick start, you should have a development project which is up and running and connected to your main data storage system.

However, you can plug as many data sources as you want into the same agent.

### What can I connect to?

Forest Admin collections map to any of those concepts:

* Database collections/tables
* ORM models
* Endpoints on SaaS providers (by writing a custom data source)
* Endpoints on your own API (by writing a custom data source)

### Example

In this example, we import tables from a PostgreSQL, MariaDB, and Mongo database into Forest Admin.

```javascript
const { createAgent } = require('@forestadmin/agent');
const { createSqlDataSource } = require('@forestadmin/datasource-sql');
const { createMongooseDataSource } = require('@forestadmin/datasource-mongoose');

// Plug multiple data sources to a single agent.
const agent = createAgent(options)
  .addDataSource(
    createSqlDataSource('postgres://user:pass@a.server:5432/database_name'),
  )
  .addDataSource(
    createSqlDataSource(
      'mariadb://user:pass@another.server:5432/other_database_name',
    ),
  )
  .addDataSource(createMongooseDataSource(require('./mongoose-models')));
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.forestadmin.com/developer-guide-agents-nodejs/data-sources/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
